#!/bin/bash

graph=${1:-eurovision-errata}
input_ttl_file=${2:-eurovision-errata.ttl}

#s-put http://localhost:3030/greenstone/data default "$input_ttl_file"

# 'default' doesn't seem to have the wanted effect
#   => specifying 'eurovision' as collecion name
#   => from earlier development work, Jena config settings showed this to
#      also automatically add stored tripples in the default graph

echo ""

echo "Ingesting locally into graph:"
echo "  $graph"
echo ""
echo "The Turtle TTL file:"
echo "  $input_ttl_file"

echo ""

s-put http://localhost:3030/greenstone/data "$graph" "$input_ttl_file"



# s-query --service http://localhost:3030/greenstone/query 'SELECT * {?s ?p ?o}'
